### Constructor

# Gtk.Video.new_for_resource

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_resource (
      const char* resource_path
    )

#### Description [src]

Creates a `GtkVideo` to play back the resource at the given `resource_path`.

This is a utility function that calls `gtk_video_new_for_file()`.

#### Parameters

`resource_path` | `const char*`
| resource path to play back
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new `GtkVideo`
Ownership is not transferred to the caller